org.apache.xerces.impl.xs

## Class XSAttributeDecl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSAttributeDecl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSAttributeDeclaration, org.apache.xerces.xs.XSObject

      public class XSAttributeDecl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSAttributeDeclaration

  The XML representation for an attribute declaration schema component is an <attribute> element information item
  Version:
    $Id: XSAttributeDecl.java 1024040 2010-10-18 22:08:41Z sandygao $
  Author:
    Elena Litani, IBM, Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.xerces.xni.QName` | `fUnresolvedTypeName`
    `static short` | `SCOPE_ABSENT`
    `static short` | `SCOPE_GLOBAL`
    `static short` | `SCOPE_LOCAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSAttributeDecl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getActualVC()` Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.
    `short` | `getActualVCType()` The actual constraint value built-in datatype, e.g.
    `org.apache.xerces.xs.XSAnnotation` | `getAnnotation()` Optional.
    `org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
    `short` | `getConstraintType()` Value constraint: one of default, fixed.
    `java.lang.String` | `getConstraintValue()` Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
    `org.apache.xerces.xs.XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
    `boolean` | `getInheritable()` Inheritable flag for the attribute.
    `org.apache.xerces.xs.ShortList` | `getItemValueTypes()` In the case the actual constraint value represents a list, i.e.
    `java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
    `java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `org.apache.xerces.xs.XSObject` | `getParent()` Locally scoped declarations are available for use only within the complex type definition or attribute group definition identified by the `scope` property.
    `short` | `getScope()` Optional.
    `short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
    `org.apache.xerces.xs.XSSimpleTypeDefinition` | `getTypeDefinition()` A simple type definition
    `ValidatedInfo` | `getValInfo()`
    `org.apache.xerces.xs.XSValue` | `getValueConstraintValue()` The actual value of the default or fixed value constraint.
    `void` | `reset()`
    `void` | `setValues(java.lang.String name, java.lang.String targetNamespace, XSSimpleType simpleType, short constraintType, short scope, ValidatedInfo valInfo, org.apache.xerces.xs.XSObject enclosingParent, org.apache.xerces.xs.XSObjectList annotations, boolean inheritable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCOPE_ABSENT

          public static final short SCOPE_ABSENT

      See Also:
        Constant Field Values

    - #### SCOPE_GLOBAL

          public static final short SCOPE_GLOBAL

      See Also:
        Constant Field Values

    - #### SCOPE_LOCAL

          public static final short SCOPE_LOCAL

      See Also:
        Constant Field Values

    - #### fUnresolvedTypeName

          public org.apache.xerces.xni.QName fUnresolvedTypeName

  - ### Constructor Detail

    - #### XSAttributeDecl

          public XSAttributeDecl()

  - ### Method Detail

    - #### setValues

          public void setValues(java.lang.String name,
                       java.lang.String targetNamespace,
                       XSSimpleType simpleType,
                       short constraintType,
                       short scope,
                       ValidatedInfo valInfo,
                       org.apache.xerces.xs.XSObject enclosingParent,
                       org.apache.xerces.xs.XSObjectList annotations,
                       boolean inheritable)

    - #### reset

          public void reset()

    - #### getType

          public short getType()

      Get the type of the object, i.e ELEMENT_DECLARATION.
      Specified by:
        `getType` in interface `org.apache.xerces.xs.XSObject`

    - #### getName

          public java.lang.String getName()

      The `name` of this `XSObject` depending on the `XSObject` type.
      Specified by:
        `getName` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
      Specified by:
        `getNamespace` in interface `org.apache.xerces.xs.XSObject`

    - #### getTypeDefinition

          public org.apache.xerces.xs.XSSimpleTypeDefinition getTypeDefinition()

      A simple type definition
      Specified by:
        `getTypeDefinition` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getScope

          public short getScope()

      Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within attribute group definitions: their scope will be determined when they are used in the construction of complex type definitions.
      Specified by:
        `getScope` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getEnclosingCTDefinition

          public org.apache.xerces.xs.XSComplexTypeDefinition getEnclosingCTDefinition()

      Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
      Specified by:
        `getEnclosingCTDefinition` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getParent

          public org.apache.xerces.xs.XSObject getParent()

      Locally scoped declarations are available for use only within the complex type definition or attribute group definition identified by the `scope` property.
      Specified by:
        `getParent` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getConstraintType

          public short getConstraintType()

      Value constraint: one of default, fixed.
      Specified by:
        `getConstraintType` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getConstraintValue

          public java.lang.String getConstraintValue()

      Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
      Specified by:
        `getConstraintValue` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getAnnotation

          public org.apache.xerces.xs.XSAnnotation getAnnotation()

      Optional. Annotation.
      Specified by:
        `getAnnotation` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getAnnotations

          public org.apache.xerces.xs.XSObjectList getAnnotations()

      Optional. Annotations.
      Specified by:
        `getAnnotations` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getValInfo

          public ValidatedInfo getValInfo()

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      Description copied from interface: `org.apache.xerces.xs.XSObject`
      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
      See Also:
        `XSObject.getNamespaceItem()`

    - #### getActualVC

          public java.lang.Object getActualVC()

      Description copied from interface: `org.apache.xerces.xs.XSAttributeDeclaration`
      Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.
      Specified by:
        `getActualVC` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getActualVCType

          public short getActualVCType()

      Description copied from interface: `org.apache.xerces.xs.XSAttributeDeclaration`
      The actual constraint value built-in datatype, e.g. `STRING_DT, SHORT_DT`. If the type definition of this value is a list type definition, this method returns `LIST_DT`. If the type definition of this value is a list type definition whose item type is a union type definition, this method returns `LISTOFUNION_DT`. To query the actual constraint value of the list or list of union type definitions use `itemValueTypes`. If the `actualValue` is `null`, this method returns `UNAVAILABLE_DT`.
      Specified by:
        `getActualVCType` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getItemValueTypes

          public org.apache.xerces.xs.ShortList getItemValueTypes()

      Description copied from interface: `org.apache.xerces.xs.XSAttributeDeclaration`
      In the case the actual constraint value represents a list, i.e. the `actualValueType` is `LIST_DT`, the returned array consists of one type kind which represents the itemType. If the actual constraint value represents a list type definition whose item type is a union type definition, i.e. `LISTOFUNION_DT`, for each actual constraint value in the list the array contains the corresponding memberType kind. For examples, see `ItemPSVI.itemValueTypes`.
      Specified by:
        `getItemValueTypes` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getValueConstraintValue

          public org.apache.xerces.xs.XSValue getValueConstraintValue()

      Description copied from interface: `org.apache.xerces.xs.XSAttributeDeclaration`
      The actual value of the default or fixed value constraint.
      Specified by:
        `getValueConstraintValue` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

    - #### getInheritable

          public boolean getInheritable()

      Description copied from interface: `org.apache.xerces.xs.XSAttributeDeclaration`
      Inheritable flag for the attribute.
      Specified by:
        `getInheritable` in interface `org.apache.xerces.xs.XSAttributeDeclaration`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.